%define version 3.0.1
%define release %mkrel 1

Summary:	Some tools for StarDict
Name:		stardict-tools
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Text tools
URL:		http://stardict.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Source:		http://stardictproject.googlecode.com/files/%{name}-%{version}.tar.xz
Patch1:		hurd.patch
Patch2:		c++.patch
Patch3:		fix-typo.patch
Patch4:		const-char.patch
BuildRequires:	libpcre-devel
BuildRequires:	gtk+2-devel
BuildRequires:	mysql-devel
BuildRequires:	stardict
Requires:	stardict

%description
This package contain some tools for StarDict, an international dictionary.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall

# finish install
mkdir -p %{buildroot}%{_libdir}/%{name}
pushd src
grep noinst_PROGRAMS Makefile.am > tmplist
perl -pi -e 's/noinst\_PROGRAMS \= //' tmplist
	for i in `cat tmplist`; do
		cp $i %{buildroot}%{_libdir}/%{name}/$i
	done
rm -f tmplist
popd

# menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/stardict-editor.desktop
[Desktop Entry]
Encoding=UTF-8
Name=StarDict Editor
Comment=Editor for StarDict
Exec=stardict-editor
Icon=stardict
StartupNotify=true
Categories=Utility;Dictionary;Office;GTK;X-MandrivaLinux-Office;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL
%doc NEWS README
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/applications/*.desktop


%changelog
* Tue Sep 23 2010 Texstar <texstar at gmail.com. 3.0.1-1pclos2010
- import into pclos 


